description: An artifact of a service provided by the platform
type: object
required:
- description
- id
- ref
properties:
  description:
    description: Describes the artifact properties
    type: object
    additionalProperties: false
    required:
    - builtin
    - srv
    properties:
      builtin:
        description: Describes that this is a builtin service (must be true)
        type: boolean
        const: true
      srv:
        $ref: './srv.yaml'
  id:
    description: Name of the V3Deployment backing this service in the platform
    type: string
  ref:
    $ref: './referenceService.yaml'
